/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * (c) Copyright 1999-2003 by Tsukuba Bunko.
 *
 * $Id: ResourceDetectionException.java,v 1.1 2003/08/31 08:20:49 ppoi Exp $
 */
package tsukuba_bunko.util;


/**
 * リソースの検出に失敗したことを通知する例外クラスです。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public class ResourceDetectionException	extends Exception	{

	/**
	 * <code>ResourceDetectionException</code> のインスタンスを生成します。
	 */
	public ResourceDetectionException()
	{
		super();
	}

	/**
	 * <code>ResourceDetectionException</code> のインスタンスを生成します。
	 * @param	message	エラーメッセージ
	 */
	public ResourceDetectionException( String message )
	{
		super( message );
	}

	/**
	 * <code>ResourceDetectionException</code> のインスタンスを生成します。
	 * @param	throwable	基になる例外オブジェクト
	 */
	public ResourceDetectionException( Throwable throwable )
	{
		super( throwable );
	}

	/**
	 * <code>ResourceDetectionException</code> のインスタンスを生成します。
	 * @param	message	エラーメッセージ
	 * @param	throwable	基になる例外オブジェクト
	 */
	public ResourceDetectionException( String message, Throwable throwable )
	{
		super( message, throwable );
	}
}